StandardTokenizerFactory (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.analysis.standard, class: StandardTokenizerFactory

Package org.apache.lucene.analysis.standard

# Class StandardTokenizerFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenizerFactory
org.apache.lucene.analysis.standard.StandardTokenizerFactory

public class StandardTokenizerFactory extends TokenizerFactory
Factory for `StandardTokenizer`.

     <fieldType name="text_stndrd" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory" maxTokenLength="255"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "standard"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardTokenizerFactory()`
  Default ctor for compatibility with SPI
  `StandardTokenizerFactory(Map<String,String> args)`
  Creates a new StandardTokenizerFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StandardTokenizer`
  `create(AttributeFactory factory)`
  Creates a TokenStream of the specified input using the given AttributeFactory

  ### Methods inherited from class org.apache.lucene.analysis.TokenizerFactory

  `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StandardTokenizerFactory

    public StandardTokenizerFactory(Map<String,String> args)
    Creates a new StandardTokenizerFactory

  - ### StandardTokenizerFactory

    public StandardTokenizerFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public StandardTokenizer create(AttributeFactory factory)
    Description copied from class: `TokenizerFactory`
    Creates a TokenStream of the specified input using the given AttributeFactory
    Specified by:
      `create` in class `TokenizerFactory`